Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QLinearGradient

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QGradient
                  com.trolltech.qt.gui.QLinearGradient

All Implemented Interfaces:
  QtJambiInterface

    public class QLinearGradient

extends QGradient

The `QLinearGradient` class is used in combination with `QBrush` to specify a linear gradient brush.

Linear gradients interpolate colors between start and end points. Outside these points the gradient is either padded, reflected or repeated depending on the currently set spread method:

PadSpread (default) | ReflectSpread | RepeatSpread

The colors in a gradient is defined using stop points of the QGradientStop type, i.e. a position and a color. Use the QGradient::setColorAt() or the QGradient::setStops() function to define the stop points. It is the gradient's complete set of stop points that describes how the gradient area should be filled. If no stop points have been specified, a gradient of black at 0 to white at 1 is used.

In addition to the functions inherited from `QGradient`, the `QLinearGradient` class provides the `finalStop` function which returns the final stop point of the gradient, and the `start` function returning the start point of the gradient.

See Also:
  `QRadialGradient`, `QConicalGradient`, `Gradients Demo`

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QGradient
`QGradient.CoordinateMode, QGradient.Spread, QGradient.Type`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QLinearGradient()` Constructs a default linear gradient with interpolation area between (0, 0) and (1, 1).
`QLinearGradient(double xStart, double yStart, double xFinalStop, double yFinalStop)` Constructs a linear gradient with interpolation area between (`xStart`, `yStart`) and (`xFinalStop`, `yFinalStop`).
`QLinearGradient(QPointF start, QPointF finalStop)` Constructs a linear gradient with interpolation area between the given `start` point and `finalStop`.

Method Summary
`QPointF` | `finalStop()` Returns the final stop point of this linear gradient in logical coordinates.
`static QLinearGradient` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QLinearGradient instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QLinearGradient[] array)` This function returns a QNativePointer that is pointing to the specified QLinearGradient array.
`void` | `setFinalStop(double x, double y)` Sets the final stop point of this linear gradient in logical coordinates to `x`, `y`.
`void` | `setFinalStop(QPointF stop)` Sets the final stop point of this linear gradient in logical coordinates to `stop`.
`void` | `setStart(double x, double y)` Sets the start point of this linear gradient in logical coordinates to `x`, `y`.
`void` | `setStart(QPointF start)` Sets the start point of this linear gradient in logical coordinates to `start`.
`QPointF` | `start()` Returns the start point of this linear gradient in logical coordinates.

Methods inherited from class com.trolltech.qt.gui.QGradient
`coordinateMode, equals, nativePointerArray, setColorAt, setCoordinateMode, setSpread, setStops, spread, stops, type`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QLinearGradient

    public QLinearGradient(QPointF start,
                           QPointF finalStop)

  Constructs a linear gradient with interpolation area between the given `start` point and `finalStop`.

  See Also:
    `QGradient::setColorAt`, `QGradient::setStops`

### QLinearGradient

    public QLinearGradient(double xStart,
                           double yStart,
                           double xFinalStop,
                           double yFinalStop)

  Constructs a linear gradient with interpolation area between (`xStart`, `yStart`) and (`xFinalStop`, `yFinalStop`).

  See Also:
    `QGradient::setColorAt`, `QGradient::setStops`

### QLinearGradient

    public QLinearGradient()

  Constructs a default linear gradient with interpolation area between (0, 0) and (1, 1).

  See Also:
    `QGradient::setColorAt`, `setStart`, `setFinalStop`

Method Detail

### finalStop

    public final QPointF finalStop()

  Returns the final stop point of this linear gradient in logical coordinates.

  See Also:
    `setFinalStop`, `QGradient::stops`

### setFinalStop

    public final void setFinalStop(double x,
                                   double y)

  Sets the final stop point of this linear gradient in logical coordinates to `x`, `y`.

  See Also:
    `finalStop`, `start`

### setFinalStop

    public final void setFinalStop(QPointF stop)

  Sets the final stop point of this linear gradient in logical coordinates to `stop`.

  See Also:
    `finalStop`

### setStart

    public final void setStart(double x,
                               double y)

  Sets the start point of this linear gradient in logical coordinates to `x`, `y`.

  See Also:
    `start`

### setStart

    public final void setStart(QPointF start)

  Sets the start point of this linear gradient in logical coordinates to `start`.

  See Also:
    `start`

### start

    public final QPointF start()

  Returns the start point of this linear gradient in logical coordinates.

  See Also:
    `setStart`, `QGradient::stops`

### fromNativePointer

    public static QLinearGradient fromNativePointer(QNativePointer nativePointer)

  This function returns the QLinearGradient instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QLinearGradient[] array)

  This function returns a QNativePointer that is pointing to the specified QLinearGradient array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD